1. #41
    Ext User
    Join Date
    Aug 2008
    Posts
    17
    Vote Rating
    0
    giovanniG is on a distinguished road

      0  

    Default


    Fixed it. I had an old version of the file.Thanks.

  2. #42
    Sencha User TopKatz's Avatar
    Join Date
    Mar 2007
    Posts
    337
    Vote Rating
    2
    TopKatz is on a distinguished road

      0  

    Default


    I have an app running in 2.3 using PMP 1.4, I have been converting the app over to 3.1 and PMP is giving me an issue. I'm using it with a dataview, and in 3.1 the dataview displays all the records, while it should only show one at a time. Here is what Im doing:

    store config:
    Code:
    this.pagingStore = new Ext.data.Store({
    	pruneModifiedRecords : true,
            proxy                : new Ext.ux.data.PagingMemoryProxy(),
    	reader               : new Ext.data.ArrayReader({}, [ { name: 'Page' }, { name: 'DocNo' }, { name: 'FileExt' } ])
            });
    data for the store:
    Code:
    arrPages =  [[0, "180", "tif"], [1, "180", "tif"], [2, "180", "tif"]];
    Populating store:
    Code:
    details.pagingStore.proxy.data = arrPages;
     details.pagingStore.load({params:{start:0, limit:1}});
    When I look into the pagingStore.data object in the app running 3.1 I see all three records, however in 2.3 I see only the one record (as it should be).

    Is there a trick to get this going in 3.1?

    Katz

  3. #43
    Sencha - Community Support Team jsakalos's Avatar
    Join Date
    Apr 2007
    Location
    Slovakia
    Posts
    27,509
    Vote Rating
    374
    jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future

      0  

    Default


    PagingStore is a user extensions and we cannot tell if the author already ported it to Ext 3.x. The best would be to ask in the original thread. User extensions are not supported on this forum by the Ext support team but by their authors.
    Jozef Sakalos, aka Saki

    Education, extensions and services for developers at new http://extjs.eu
    News: Grid Search Plugin, ExtJS 5 Complex Data Binding using MVVM


  4. #44
    Sencha User TopKatz's Avatar
    Join Date
    Mar 2007
    Posts
    337
    Vote Rating
    2
    TopKatz is on a distinguished road

      0  

    Default


    I had it working in 3.0.1 in another app at one point, however I went in another direction. That was before 3.1, so Im not sure it works in 3.1.

    I have since migrated this project over to the Ext.ux.data.PagingStore and all is well.

    Thanks

  5. #45
    Sencha - Community Support Team jsakalos's Avatar
    Join Date
    Apr 2007
    Location
    Slovakia
    Posts
    27,509
    Vote Rating
    374
    jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future jsakalos has a brilliant future

      0  

    Default


    Perfect! Thank you to let us know that PagingStore is Ext 3.1 compatible.
    Jozef Sakalos, aka Saki

    Education, extensions and services for developers at new http://extjs.eu
    News: Grid Search Plugin, ExtJS 5 Complex Data Binding using MVVM


  6. #46
    Sencha User
    Join Date
    Jul 2010
    Posts
    7
    Vote Rating
    0
    Neha Sodhi is on a distinguished road

      0  

    Default Thanks a lot...This small snippet has solved my big problem...

    Thanks a lot...This small snippet has solved my big problem...


    Thanks a lot...This small snippet has solved my big problem...